# Function setLogLevel

- setLogLevel(name, logLevel): void

- Sets the log level for a logger or namespace.

  #### Parameters

  - name: string

    The name to set the log level for. This can be the name of a specific logger, or a "namespace" (prefix for a logger name), in which case it applies to all loggers in that namespace. For example, if you set the log level for "gcx.api" to Warn, then only warnings or higher will be logged for any logger whose name begins with "gcx.api". You can specify the special name "root" which applies to all loggers.

  - logLevel: LogLevel

    The log level.

  #### Returns void